# Maintainer: 217 TAs <ta217@csie.ntu.edu.tw>
pkgname="pkg-manager-oops"
pkgver=0.1
pkgrel=1
pkgdesc="Educate users when they runs the wrong package manager commands"
arch=('any')
url="https://gitlab.com/ws/${pkgname}"
license=('MIT')
depends=('bash' 'sudo')
source=("$pkgname")
md5sums=('1ee09b1c125b33c7d64cf47c433e1f42')

pkg_mgmrs=('apt' 'apt-get' 'dnf' 'yum' 'zypper')
package() {
  install -D -m555 "$pkgname" "${pkgdir}/usr/bin/$pkgname"

  cd ${pkgdir}/usr/bin

  first=1
  for mgmr in "${pkg_mgmrs[@]}"; do
    if [ "$first" = "0" ]; then
        mgmr_str=", ${mgmr_str}"
    fi

    ln -s "$pkgname" "$mgmr"
    mgmr_str="/usr/bin/${mgmr}${mgmr_str}"
    first=0
  done

  mkdir -p "${pkgdir}/etc/sudoers.d"
  echo "ALL ALL=(ALL) NOPASSWD: ${mgmr_str}" > \
    "${pkgdir}/etc/sudoers.d/pkg-mgmr-oops"
}

